import 'package:flutter/material.dart';
import 'package:mmoo_live_room/Model/model_live_info_entity.dart';

///直播间 看微信信息详情
class ProviderLivePlaceListInfo extends ChangeNotifier {
  static List<ModelLiveInfoPlaceList> _videoList = [];
  static List<ModelLiveInfoPlaceList> _voiceList = [];

  set videoList(List<ModelLiveInfoPlaceList> videoList) {
    _videoList = videoList;
    notifyListeners();
  }

  List<ModelLiveInfoPlaceList> get videoList {
    return _videoList;
  }

  set voiceList(List<ModelLiveInfoPlaceList> voiceList) {
    _voiceList = voiceList;
    notifyListeners();
  }

  List<ModelLiveInfoPlaceList> get voiceList {
    return _voiceList;
  }
}
