import 'package:flutter/material.dart';
import 'package:mmoo_live_room/Model/model_live_user_info.dart';
///直播间  用户自己的状态数据
class ProviderLiveUser extends ChangeNotifier {
  static ModelLiveUserInfo _userInfo = ModelLiveUserInfo();
  static int roomUserId = 0;
  static int roomId = 0;
  static bool _isBlack = false;
  static int _chat = 1; //群聊权限 0：房主禁止 1：允许 2：用户禁止
  static int _voice = 1; //麦克风打开状态 语音权限 0：房主禁止 1：允许 2：用户禁止
  static bool _isSpeaker = true; //扬声器  打开状态
  static bool _isLiving = false; //是否在直播
  static bool _isApplyForMike = false; //是否在申请上麦

  set userInfo(ModelLiveUserInfo userInfo) {
    _userInfo = userInfo;
    super.notifyListeners();
  }

  ModelLiveUserInfo get userInfo {
    return _userInfo;
  }

  set chat(int chat) {
    _chat = chat;
    super.notifyListeners();
  }

  int get chat {
    return _chat;
  }

  set voice(int voice) {
    _voice = voice;
    super.notifyListeners();
  }

  int get voice {
    return _voice;
  }

  set isBlack(bool isBlack) {
    _isBlack = isBlack;
    super.notifyListeners();
  }

  bool get isBlack {
    return _isBlack;
  }
  bool get isSpeaker {
    return _isSpeaker;
  }

  set isSpeaker(bool isSpeaker) {
    _isSpeaker = isSpeaker;
    notifyListeners();
  }

  bool get isLiving {
    return _isLiving;
  }

  set isLiving(bool isLiving) {
    _isLiving = isLiving;
    notifyListeners();
  }

  bool get isApplyForMike {
    return _isApplyForMike;
  }

  set isApplyForMike(bool isApplyForMike) {
    _isApplyForMike = isApplyForMike;
    notifyListeners();
  }
//   restoreInitialization() {
//     ProviderLiveUser().userInfo = ModelLiveUserInfo();
//     ProviderLiveUser().chat = 0;
//     ProviderLiveUser().voice = 0;
//     ProviderLiveUser().isBlack = false;
//     ProviderLiveUser.roomId = 0;
//     ProviderLiveUser.roomUserId = 0;
//   }
}
