


import 'package:flutter/material.dart';
import 'package:mmoo_live_room/Utils/utils_live_dlog.dart';

class UtilsLiveRepeatClick {

  static int clicks = 0;
  static int jumpTime = 0;
  static Function? function;

  
  ///防止多次点击
  static VoidCallback debounce(Function fn, [int t = 500]) {
    return () {
      if (function != fn) {
        clicks = 0;
        function = fn;
        jumpTime = 0;
      }
      if (jumpTime >= (DateTime.now().millisecondsSinceEpoch - t) &&
          clicks <= 10) {
        clicks++;
        jumpTime = DateTime.now().millisecondsSinceEpoch;
        DLog('屏蔽快速点击');
      } else {
        jumpTime = DateTime.now().millisecondsSinceEpoch;
        clicks = 0;
        DLog('clicks');
        fn();
      }
    };
  }
}
