import 'package:flutter/material.dart';
import 'package:mmoo_live_room/Utils/utils_live_overlay.dart';
import 'package:mmoo_live_room/Model/model_live_info_entity.dart';
import 'package:mmoo_live_room/Utils/utils_live_textStyle.dart';
import 'package:mmoo_live_room/Utils/utils_live_image.dart';
///弃用
class WidgetLiveOverLayVoice extends StatefulWidget {
  final ModelLiveInfoEntity infoEntity;
  WidgetLiveOverLayVoice({required this.infoEntity});
  @override
  WidgetLiveOverLayVoiceState createState() => WidgetLiveOverLayVoiceState();
}

class WidgetLiveOverLayVoiceState extends State<WidgetLiveOverLayVoice> {
  @override
  Widget build(BuildContext context) {
    return Container(
      height: 63,
      padding: const EdgeInsets.symmetric(horizontal: 6),
      decoration: BoxDecoration(
          color: Colors.white, borderRadius: BorderRadius.circular(31.5)),
      child: Row(
        children: [
          SizedBox(
            width: 50,
            height: 50,
            child: Stack(
              children: [
                Positioned.fill(
                    child: ClipOval(
                  child: UtilsLiveImage.getLoadWidget(widget.infoEntity.cover,
                      width: 50, height: 50),
                )),
                Positioned.fill(child: UtilsLiveImage.getIconByPath('lib/assets/live_voice.gif',))
              ],
            ),
          ),
          Container(
              margin: const EdgeInsets.symmetric(horizontal: 10),
              constraints: const BoxConstraints(maxWidth: 110),
              child: FittedBox(
                fit: BoxFit.scaleDown,
                child: Text(
                  widget.infoEntity.title ?? '',
                  style: UtilsLiveTextStyle.pt21Black33333,
                ),
              )),
          GestureDetector(
            child: UtilsLiveImage.getIconByPath(
              'kaibo_icon_tuichu',
              
            ),
            onTap: () {
              UtilsLiveOverLay.removeHidden();
            },
          )
        ],
      ),
    );
  }

  @override
  void initState() {
    // TODO: implement initState
    super.initState();
  }

  @override
  void dispose() {
    // TODO: implement dispose
    super.dispose();
  }

  @override
  void didUpdateWidget(WidgetLiveOverLayVoice oldWidget) {
    // TODO: implement didUpdateWidget
    super.didUpdateWidget(oldWidget);
  }

  @override
  void didChangeDependencies() {
    // TODO: implement didChangeDependencies
    super.didChangeDependencies();
  }
}
