import 'package:mmoo_live_room/Model/model_live_apply_list_entity.dart';

modelLiveApplyListEntityFromJson(ModelLiveApplyListEntity data, Map<String, dynamic> json) {
	if (json['size'] != null) {
		data.size = json['size'] is String
				? int.tryParse(json['size'])
				: json['size'].toInt();
	}
	if (json['num'] != null) {
		data.num = json['num'] is String
				? int.tryParse(json['num'])
				: json['num'].toInt();
	}
	if (json['onlineNum'] != null) {
		data.onlineNum = json['onlineNum'] is String
				? int.tryParse(json['onlineNum'])
				: json['onlineNum'].toInt();
	}
	if (json['applyNum'] != null) {
		data.applyNum = json['applyNum'] is String
				? int.tryParse(json['applyNum'])
				: json['applyNum'].toInt();
	}
	if (json['userList'] != null) {
		data.userList = (json['userList'] as List).map((v) => ModelLiveApplyListRows().fromJson(v)).toList();
	}
	return data;
}

Map<String, dynamic> modelLiveApplyListEntityToJson(ModelLiveApplyListEntity entity) {
	final Map<String, dynamic> data = new Map<String, dynamic>();
	data['size'] = entity.size;
	data['num'] = entity.num;
	data['onlineNum'] = entity.onlineNum;
	data['applyNum'] = entity.applyNum;
	data['userList'] =  entity.userList?.map((v) => v.toJson())?.toList();
	return data;
}

modelLiveApplyListRowsFromJson(ModelLiveApplyListRows data, Map<String, dynamic> json) {
	if (json['userId'] != null) {
		data.userId = json['userId'] is String
				? int.tryParse(json['userId'])
				: json['userId'].toInt();
	}
	if (json['headImage'] != null) {
		data.headImage = json['headImage'].toString();
	}
	if (json['gender'] != null) {
		data.gender = json['gender'] is String
				? int.tryParse(json['gender'])
				: json['gender'].toInt();
	}
	if (json['nickname'] != null) {
		data.nickname = json['nickname'].toString();
	}
	if (json['isAnchor'] != null) {
		data.isAnchor = json['isAnchor'] is String
				? int.tryParse(json['isAnchor'])
				: json['isAnchor'].toInt();
	}
	if (json['type'] != null) {
		data.type = json['type'] is String
				? int.tryParse(json['type'])
				: json['type'].toInt();
	}
	return data;
}

Map<String, dynamic> modelLiveApplyListRowsToJson(ModelLiveApplyListRows entity) {
	final Map<String, dynamic> data = new Map<String, dynamic>();
	data['userId'] = entity.userId;
	data['headImage'] = entity.headImage;
	data['gender'] = entity.gender;
	data['nickname'] = entity.nickname;
	data['isAnchor'] = entity.isAnchor;
	data['type'] = entity.type;
	return data;
}