import 'package:mmoo_live_room/Model/model_live_send_gift_entity.dart';

modelLiveSendGiftEntityFromJson(ModelLiveSendGiftEntity data, Map<String, dynamic> json) {
	if (json['money'] != null) {
		data.money = json['money'] is String
				? int.tryParse(json['money'])
				: json['money'].toInt();
	}
	if (json['giveGiftUserInfoList'] != null) {
		data.giveGiftUserInfoList = (json['giveGiftUserInfoList'] as List).map((v) => ModelLiveSendGiftGiveGiftUserInfoList().fromJson(v)).toList();
	}
	return data;
}

Map<String, dynamic> modelLiveSendGiftEntityToJson(ModelLiveSendGiftEntity entity) {
	final Map<String, dynamic> data = new Map<String, dynamic>();
	data['money'] = entity.money;
	data['giveGiftUserInfoList'] =  entity.giveGiftUserInfoList?.map((v) => v.toJson())?.toList();
	return data;
}

modelLiveSendGiftGiveGiftUserInfoListFromJson(ModelLiveSendGiftGiveGiftUserInfoList data, Map<String, dynamic> json) {
	if (json['userId'] != null) {
		data.userId = json['userId'] is String
				? int.tryParse(json['userId'])
				: json['userId'].toInt();
	}
	if (json['nickname'] != null) {
		data.nickname = json['nickname'].toString();
	}
	return data;
}

Map<String, dynamic> modelLiveSendGiftGiveGiftUserInfoListToJson(ModelLiveSendGiftGiveGiftUserInfoList entity) {
	final Map<String, dynamic> data = new Map<String, dynamic>();
	data['userId'] = entity.userId;
	data['nickname'] = entity.nickname;
	return data;
}