import 'package:mmoo_live_room/generated/json/base/json_convert_content.dart';

class ModelLiveInfoEntity with JsonConvert<ModelLiveInfoEntity> {
	int? roomId;
	int? liveId;
	int? userId;
	int? type;
	String? cover;
	String? headImage;
	String? title;
	String? nickname;
	String? language;
	String? liveNotice;
	String? chatroomId;
	int? onlineNums;
	int? subNums;
	List<ModelLiveInfoPlaceList>? voicePlaceList;
  List<ModelLiveInfoPlaceList>? videoPlaceList;
	int? price;
	int? isUnlock;
  int? follow;
  int? voicePrice;
  int? videoPrice;
  bool isSwitchCamera = false;
  int role = 2; // 0:房主 2：观众 3：黑名单   1:上麦用户
  // bool isLiving = false; //是否在直播
  // bool isApplyForMike = false; //是否正在申请上麦
  
}

class ModelLiveInfoPlaceList with JsonConvert<ModelLiveInfoPlaceList> {
	int? roomPlaceId;
	int? liveId;
	int? roomId;
	int? type;
	int? streamSeq;
	int? telSeq;
	int? userId;
	int? isHost;
	String? headImage;
	String? nickname;
	String? country;
	int? roomUserId;
	int? role;
	int? roomUserStatus;
	int? chat;
  int? voice;
	int? follow;
  int? giftNum;
  int? gender;

  int chooseGift = 0;
}
