class ModelRtmMessage {
  String? typeMethod; //函数名称
  String? userId; //userid
  String? name; //用户昵称
  String? headImage; //用户头像
  String? roomUserId; //用户房间id
  String? content;
  String? roomId;
  String? isHost;
  ModelRtmMessage(
      {this.userId,
      this.name,
      this.content,
      this.headImage,
      this.roomUserId,
      this.isHost,
      this.roomId,
      this.typeMethod});

  ModelRtmMessage.fromJson(Map<String, dynamic> json) {
    typeMethod = json['typeMethod'].toString();
    userId = json['userId'].toString();
    name = json['name'].toString();
    content = json['content'].toString();
    headImage = json['headImage'].toString();
    isHost = json['isHost'].toString();
    roomId = json['roomId'].toString();
    roomUserId = json['roomUserId'].toString();
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['typeMethod'] = this.typeMethod;
    data['userId'] = this.userId;
    data['name'] = this.name;
    data['headImage'] = this.headImage;
    data['roomUserId'] = this.roomUserId;
    data['isHost'] = this.isHost;
    data['roomId'] = this.roomId;
    data['content'] = this.content;
    return data;
  }
}
