

import 'package:flutter/material.dart';
import 'package:mmoo_live_room/Model/model_rtm_message.dart';


///显示直播信息列表数据
class ProviderLiveChatMessage extends ChangeNotifier {
  static final List<ModelRtmMessage> _rtmMessages = [];
  rtmAddMessage(ModelRtmMessage message) {
    if (_rtmMessages.length > 200) {
      _rtmMessages.removeRange(0, 1);
    }
    _rtmMessages.add(message);
    notifyListeners();
  }
  removeChatMessages() {
    _rtmMessages.clear();
  }
  List<ModelRtmMessage> get rtmMessages {
    return _rtmMessages;
  }
}


