
import 'package:mmoo_live_room/Provider/provider_live_chat_messages.dart';
import 'package:mmoo_live_room/Provider/provider_live_header_user.dart';
import 'package:mmoo_live_room/Provider/provider_live_im_unread.dart';
import 'package:mmoo_live_room/Provider/provider_live_info_entity.dart';
import 'package:mmoo_live_room/Provider/provider_live_join_place.dart';
import 'package:mmoo_live_room/Provider/provider_live_online.dart';
import 'package:mmoo_live_room/Provider/provider_live_placelist_info.dart';

import 'package:mmoo_live_room/Provider/provider_live_user.dart';
import 'package:provider/provider.dart';
import 'package:provider/single_child_widget.dart';

class ProviderLiveConfig {
  static List<SingleChildWidget> prividers = [
    ChangeNotifierProvider(create: (ctx) => ProviderLiveUser()),
    ChangeNotifierProvider(create: (ctx) => ProviderLiveChatMessage()),
    // ChangeNotifierProvider(create: (ctx) => ProviderLiveBottomState()),
    ChangeNotifierProvider(create: (ctx) => ProviderLiveInfoEntity()),
    ChangeNotifierProvider(create: (ctx) => ProviderLivePlaceListInfo()),
    ChangeNotifierProvider(create: (ctx) => ProviderLiveImUnRead()),
    ChangeNotifierProvider(create: (ctx) => ProviderLiveJoinPlace()),
    ChangeNotifierProvider(create: (ctx) => ProviderLiveOnline()),
    ChangeNotifierProvider(create: (ctx) => ProviderLiveHeaderUser()),

    // ListenableProvider(create: (ctx) => MessageProvider()),
    // ListenableProvider(create: (ctx) => MainProvider()),
    // ListenableProvider(create: (ctx) => LiveUserStatusProvider()),
    // ListenableProvider(create: (ctx) => FBRechargeListProvider()),
    // ListenableProvider(create: (ctx) => LiveRoomPayNumProvider())
  ];
}
