import 'package:flutter/material.dart';
import 'package:mmoo_live_room/Model/model_live_user_list_entity.dart';
///直播间人数数据  及用户头像
class ProviderLiveHeaderUser extends ChangeNotifier {
  
  static List<ModelLiveUserListUsers> _usersList = [];

  roomJoinUser(ModelLiveUserListUsers users) {
    _usersList.removeWhere((element) => element.userId == users.userId);
    if (_usersList.length > 4) { 
      _usersList.removeRange(0, 1);
    }
    _usersList.add(users);
    notifyListeners();
  }

  removeRoomUsers() {
    _usersList.clear();
  }

  set usersList(List<ModelLiveUserListUsers> usersList) {
    _usersList = usersList;

    notifyListeners();
  }

  List<ModelLiveUserListUsers> get usersList {
    return _usersList;
  }
}
