
// ignore_for_file: file_names

import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';
import 'package:mmoo_live_room/Utils/utils_live_colors.dart';

class UtilsLiveTextStyle {
  static double setSp(num fontSize) => fontSize * ScreenUtil().scaleWidth;

  static const double lager3TextSize = 50.0;
  static const double lager2TextSize = 44.0;
  static const double lager4TextSize = 40.0;
  static const double lagerTextSize = 32.0;
  static const double big3TextSize = 26.0;
  static const double big2TextSize = 22.0;
  static const double bigTextSize = 20.0;
  static const double normalTextSize = 18.0;
  static const double middleTextSize = 16.0;
  static const double smallTextSize = 14.0;
  static const double minTextSize = 12.0;
  static const double minimumTextSize = 10.0;

  static const pt11WhiteSemiBold = TextStyle(
      fontSize: 11,
      color: Colors.white,
      fontWeight: FontWeight.w600,
      decoration: TextDecoration.none);

  static const pt19WhiteSemiBold = TextStyle(
      fontSize: 19,
      color: Colors.white,
      fontWeight: FontWeight.w600,
      decoration: TextDecoration.none);

  static const pt9White = TextStyle(
      fontSize: 9,
      color: Colors.white,
      fontWeight: FontWeight.normal,
      decoration: TextDecoration.none);

  static const pt19BlackSemiBold = TextStyle(
      fontSize: 19,
      color: Colors.black,
      fontWeight: FontWeight.w600,
      decoration: TextDecoration.none);

  static const pt16White = TextStyle(
      color: Colors.white,
      fontSize: 16,
      fontWeight: FontWeight.normal,
      decoration: TextDecoration.none);

  static const pt23BlackBold = TextStyle(
      fontSize: 23,
      color: Colors.black,
      fontWeight: FontWeight.bold,
      decoration: TextDecoration.none);
  static const pt20Bold333333 = TextStyle(
      fontSize: 20,
      color: Color(0xFF333333),
      fontWeight: FontWeight.bold,
      wordSpacing: 0,
      decoration: TextDecoration.none);
  static const pt20BlackBold = TextStyle(
      fontSize: 20,
      color: Colors.black,
      fontWeight: FontWeight.bold,
      decoration: TextDecoration.none);

  static const pt20PurpleLightSemiBold = TextStyle(
    fontSize: 20,
    color: Color(0xFFFF00E2),
    fontWeight: FontWeight.w600,
  );

  static const pt23BlackSemiBold = TextStyle(
      fontSize: 23,
      color: Colors.black,
      fontWeight: FontWeight.w600,
      decoration: TextDecoration.none);

  static const pt23WhiteHeavy = TextStyle(
      fontSize: 23,
      color: Colors.white,
      fontWeight: FontWeight.w800,
      decoration: TextDecoration.none);

  static const pt22WhiteBold = TextStyle(
      fontSize: 22,
      color: Colors.white,
      fontWeight: FontWeight.bold,
      decoration: TextDecoration.none);

  static const pt22Black333333Bold = TextStyle(
      fontSize: 22,
      color: Color(0xFF333333),
      fontWeight: FontWeight.bold,
      decoration: TextDecoration.none);

  static const pt21Black33333 = TextStyle(
      fontSize: 21,
      color: Color(0xFF333333),
      fontWeight: FontWeight.normal,
      decoration: TextDecoration.none);

  static const pt22PinkBold = TextStyle(
      fontSize: 22,
      color: Color(0xFFFB5FA5),
      fontWeight: FontWeight.bold,
      decoration: TextDecoration.none);

  static const pt20BlackSemiBold =
      TextStyle(fontSize: 20, color: Colors.black, fontWeight: FontWeight.w600);

  static const pt20WhiteSemiBold = TextStyle(
      fontSize: 20,
      color: Colors.white,
      fontWeight: FontWeight.w600,
      decoration: TextDecoration.none);

  static const pt24WhiteSemiBold = TextStyle(
      fontSize: 24,
      color: Colors.white,
      fontWeight: FontWeight.w600,
      decoration: TextDecoration.none);
  static const pt24Bold333333 = TextStyle(
      fontSize: 24,
      color: Color(0xFF333333),
      fontWeight: FontWeight.bold,
      decoration: TextDecoration.none);

  static const pt18WhiteHeavy =  TextStyle(
      fontSize: 18,
      color: Colors.white,
      fontWeight: FontWeight.w800,
      decoration: TextDecoration.none);

  static const pt18BlueLightSemiBold = TextStyle(
      fontSize: 18,
      color: Color(0xFF738DFF),
      fontWeight: FontWeight.w600,
      decoration: TextDecoration.none);
  static const pt18WhiteNormal = TextStyle(
      fontSize: 18,
      color: Color(0xFFFFFFFF),
      fontWeight: FontWeight.normal,
      decoration: TextDecoration.none);

  static const pt16BlackLightSemiBold = TextStyle(
      fontSize: 16,
      color: Color(0xFF333333),
      fontWeight: FontWeight.w600,
      decoration: TextDecoration.none);
  static const pt16BlackNormal333333 = TextStyle(
      fontSize: 16,
      color: Color(0xFF333333),
      fontWeight: FontWeight.normal,
      decoration: TextDecoration.none);
       static const pt16BlackBold333333 = TextStyle(
      fontSize: 16,
      color: Color(0xFF333333),
      fontWeight: FontWeight.bold,
      decoration: TextDecoration.none);

  static const pt16Grey999999 = TextStyle(
      fontSize: 16,
      color: Color(0xFF999999),
      fontWeight: FontWeight.normal,
      decoration: TextDecoration.none);
      static const pt16bold999999 = TextStyle(
      fontSize: 16,
      color: Color(0xFF999999),
      fontWeight: FontWeight.bold,
      decoration: TextDecoration.none);
  static const pt16BoldFB5C9A = TextStyle(
      fontSize: 16,
      color: Color(0xFFFB5C9A),
      fontWeight: FontWeight.bold,
      decoration: TextDecoration.none);

  static const pt16Grey444444 = TextStyle(
      fontSize: 16,
      color: Color(0xFF444444),
      fontWeight: FontWeight.normal,
      decoration: TextDecoration.none);

  static const pt16Grey666666 = TextStyle(
      fontSize: 16,
      color: Color(0xFF666666),
      fontWeight: FontWeight.normal,
      decoration: TextDecoration.none);

  static const pt16Grey666666SemiBold = TextStyle(
      fontSize: 16,
      color: Color(0xFF666666),
      fontWeight: FontWeight.w600,
      decoration: TextDecoration.none);

  static const pt16Black = TextStyle(
      fontSize: 16,
      color: Colors.black,
      fontWeight: FontWeight.normal,
      decoration: TextDecoration.none);

  static const pt16WhiteSemiBold = TextStyle(
      fontSize: 16,
      color: Colors.white,
      fontWeight: FontWeight.w600,
      decoration: TextDecoration.none);

  static const pt14WhiteSemiBold = TextStyle(
      fontSize: 14,
      color: Colors.white,
      fontWeight: FontWeight.w600,
      decoration: TextDecoration.none);

  static const pt14BlackLightSemiBold = TextStyle(
      fontSize: 14,
      color: Color(0xFF333333),
      fontWeight: FontWeight.w600);

  static const pt30White = TextStyle(
      fontSize: 30, color: Colors.white, fontWeight: FontWeight.normal);

  static const pt14BlackSemiBold = TextStyle(
      fontSize: 14,
      color: Color(0xFF000000),
      fontWeight: FontWeight.w600);
  static const pt14A39CADSemiBold = TextStyle(
      fontSize: 14,
      color: Color(0xFFA39CAD),
      fontWeight: FontWeight.bold);

  static const pt14Black = TextStyle(
      fontSize: 14,
      color: Color(0xFF000000),
      fontWeight: FontWeight.normal);

  static const pt15Black = TextStyle(
      fontSize: 15,
      color: Color(0xFF000000),
      fontWeight: FontWeight.w600);

  static const pt15white = TextStyle(
      fontSize: 15,
      color: Color(0xFFFFFFFF),
      fontWeight: FontWeight.w600,
      decoration: TextDecoration.none);

  static const pt14White = TextStyle(
      fontSize: 14,
      color: Colors.white,
      fontWeight: FontWeight.normal,
      decoration: TextDecoration.none);

  static const pt14Grey999999 = TextStyle(
      fontSize: 14,
      color: Color(0xFF999999),
      fontWeight: FontWeight.normal,
      decoration: TextDecoration.none);

  static const pt14Grey999999SemiBold = TextStyle(
      fontSize: 14,
      color: Color(0xFF999999),
      fontWeight: FontWeight.w600,
      decoration: TextDecoration.none);

  static const pt14Grey = TextStyle(
      fontSize: 14,
      color: Color(0xFF666666),
      fontWeight: FontWeight.normal);

  static const pt14GreyDDDDDD = TextStyle(
      fontSize: 14,
      color: Color(0xFFDDDDDD),
      fontWeight: FontWeight.normal);

  static const pt14Grey8D8D8D = TextStyle(
      fontSize: 14,
      color: Color(0xFF8D8D8D),
      fontWeight: FontWeight.normal);

  static const pt12White = TextStyle(
      fontSize: 12,
      color: Colors.white,
      fontWeight: FontWeight.normal,
      decoration: TextDecoration.none);

  static const pt12Green = TextStyle(
      fontSize: 12,
      color: Color(0xFF21DC4D),
      fontWeight: FontWeight.normal,
      decoration: TextDecoration.none);

  static const pt12Color999999 = TextStyle(
      fontSize: 12,
      color: Color(0xFF999999),
      fontWeight: FontWeight.normal,
      decoration: TextDecoration.none);

  static const pt12F362C2 = TextStyle(
      fontSize: 12,
      color: Color(0xFFF362C2),
      fontWeight: FontWeight.normal,
      decoration: TextDecoration.none);

  static const pt12WhiteSemiBold = TextStyle(
      fontSize: 12,
      color: Colors.white,
      fontWeight: FontWeight.w600,
      decoration: TextDecoration.none);

  static const pt13White = TextStyle(
      fontSize: 13,
      color: Colors.white,
      fontWeight: FontWeight.normal,
      decoration: TextDecoration.none);

  static const pt13WhiteSemiBold = TextStyle(
      fontSize: 13,
      color: Colors.white,
      fontWeight: FontWeight.w600,
      decoration: TextDecoration.none);

  static const pt18BlackBold = TextStyle(
      fontSize: 18,
      color: Colors.black,
      fontWeight: FontWeight.bold,
      decoration: TextDecoration.none);
  static const pt18BlackLightSemiBold = TextStyle(
      fontSize: 18,
      color: Color(0xFF333333),
      fontWeight: FontWeight.w600,
      decoration: TextDecoration.none);

  static const pt18BlackSemiBold = TextStyle(
      fontSize: 18,
      color: Color(0xFF000000),
      fontWeight: FontWeight.w600,
      decoration: TextDecoration.none);

  static const pt18Black = TextStyle(
      fontSize: 18,
      color: Color(0xFF000000),
      fontWeight: FontWeight.normal,
      decoration: TextDecoration.none);
  static const pt18Medium333333 = TextStyle(
      fontSize: 18,
      color: Color(0xFF333333),
      fontWeight: FontWeight.w600,
      decoration: TextDecoration.none);

  static const pt18Grey999999SemiBold = TextStyle(
      fontSize: 18,
      color: Color(0xFF999999),
      fontWeight: FontWeight.w600,
      decoration: TextDecoration.none);

  static const pt25PinkRedBold = TextStyle(
      fontSize: 25,
      color: Color(0xFFFB5D9D),
      fontWeight: FontWeight.bold,
      decoration: TextDecoration.none);

  static const large2TextWithBold = TextStyle(
      color: Color(UtilsLiveColor.color_white),
      fontSize: big2TextSize,
      fontWeight: FontWeight.bold,
      decoration: TextDecoration.none);
  static const big2TextBlackBold = TextStyle(
      color: Colors.black,
      fontSize: big2TextSize,
      fontWeight: FontWeight.bold,
      decoration: TextDecoration.none);

  static const pt14Red = TextStyle(
      color: Color(0xFFF33E4D),
      fontSize: 14,
      fontWeight: FontWeight.w500,
      fontFamily: 'Rounded',
      decoration: TextDecoration.none);




  static const bigTextWhiteBold = TextStyle(
      color: Colors.white,
      fontSize: bigTextSize,
      fontWeight: FontWeight.bold,
      decoration: TextDecoration.none);

  static const big3TextWhiteBold = TextStyle(
      color: Colors.white,
      fontSize: big3TextSize,
      fontWeight: FontWeight.bold,
      decoration: TextDecoration.none);

  static const normalTextWhiteBoldItalic = TextStyle(
      color: Colors.white,
      fontSize: normalTextSize,
      fontWeight: FontWeight.bold,
      decoration: TextDecoration.none,
      fontStyle: FontStyle.italic);
  static const middleTextWhite = TextStyle(
      color: Colors.white,
      fontSize: middleTextSize,
      fontWeight: FontWeight.normal,
      decoration: TextDecoration.none);
  static const middleTextBoldWhite = TextStyle(
      color: Colors.white,
      fontSize: middleTextSize,
      fontWeight: FontWeight.bold,
      decoration: TextDecoration.none);


  static const smallTextC5BCFF = TextStyle(
      color: Color(UtilsLiveColor.color_C5BCFF),
      fontSize: smallTextSize,
      fontWeight: FontWeight.normal,
      decoration: TextDecoration.none);
  static const smallTextWhite = TextStyle(
      color: Colors.white,
      fontSize: smallTextSize,
      fontWeight: FontWeight.normal,
      decoration: TextDecoration.none);
  static const smallTextWithCCCCCC = TextStyle(
      color: Color(UtilsLiveColor.color_CCCCCC),
      fontSize: smallTextSize,
      fontWeight: FontWeight.normal,
      decoration: TextDecoration.none);
  static const smallTextBold333333 = TextStyle(
      color: Color(0xFF333333),
      fontSize: smallTextSize,
      fontWeight: FontWeight.bold,
      decoration: TextDecoration.none);
  static const smallTextBold000000 = TextStyle(
      color: Color(0xFF000000),
      fontSize: smallTextSize,
      fontWeight: FontWeight.bold,
      decoration: TextDecoration.none);
  static const smallText999999 = TextStyle(
      color: Color(0xFF999999),
      fontSize: smallTextSize,
      fontWeight: FontWeight.bold,
      decoration: TextDecoration.none);
  static const smallTextMediumBBBBBB = TextStyle(
      color: Color(0xffBBBBBB),
      fontSize: smallTextSize,
      fontWeight: FontWeight.normal,
      decoration: TextDecoration.none);

  static const minTextWhite = TextStyle(
      color: Colors.white,
      fontSize: minTextSize,
      fontWeight: FontWeight.normal,
      decoration: TextDecoration.none);
  static const minTextBoldWhite = TextStyle(
      color: Colors.white,
      fontSize: minTextSize,
      fontWeight: FontWeight.bold,
      decoration: TextDecoration.none);

  static const normalTextWhiteBoldC5BCFF = TextStyle(
      color: Color(UtilsLiveColor.color_C5BCFF),
      fontSize: normalTextSize,
      fontWeight: FontWeight.bold,
      decoration: TextDecoration.none);
}