import 'package:flutter/material.dart';
import 'package:mmoo_live_room/Utils/utils_live_overlay.dart';
import 'package:mmoo_live_room/Model/model_live_info_entity.dart';

import 'package:mmoo_live_room/Utils/utils_live_image.dart';

///弃用
class WidgetLiveOverLayVideo extends StatefulWidget {
  final ModelLiveInfoEntity infoEntity;
  // ignore: use_key_in_widget_constructors
  const WidgetLiveOverLayVideo({required this.infoEntity});
  @override
  WidgetLiveOverLayVideoState createState() => WidgetLiveOverLayVideoState();
}

class WidgetLiveOverLayVideoState extends State<WidgetLiveOverLayVideo> {
  @override
  Widget build(BuildContext context) {
    return Container(
      height: 150,
      width: 150,
      // padding: EdgeInsets.symmetric(horizontal: 6),
      decoration: BoxDecoration(
          color: Colors.white, borderRadius: BorderRadius.circular(20)),
      child: Stack(
        children: [
          Positioned.fill(
              child: ClipRRect(
            borderRadius: BorderRadius.circular(20),
            child: UtilsLiveImage.getLoadWidget(
              widget.infoEntity.cover,
            ),
          )),
          Positioned(
              top: 15,
              right: 15,
              child: GestureDetector(
                child: UtilsLiveImage.getIconByPath(
                  'kaibo_icon_tuichu',
                ),
                onTap: () {
                  UtilsLiveOverLay.removeHidden();
                },
              ))
        ],
      ),
    );
  }

  @override
  void initState() {
    // TODO: implement initState
    super.initState();
  }

  @override
  void dispose() {
    // TODO: implement dispose
    super.dispose();
  }

  @override
  void didUpdateWidget(WidgetLiveOverLayVideo oldWidget) {
    // TODO: implement didUpdateWidget
    super.didUpdateWidget(oldWidget);
  }

  @override
  void didChangeDependencies() {
    // TODO: implement didChangeDependencies
    super.didChangeDependencies();
  }
}
