import 'package:mmoo_live_room/Model/model_live_care_user_list_entity.dart';

modelLiveCareUserListEntityFromJson(ModelLiveCareUserListEntity data, Map<String, dynamic> json) {
	if (json['size'] != null) {
		data.size = json['size'] is String
				? int.tryParse(json['size'])
				: json['size'].toInt();
	}
	if (json['num'] != null) {
		data.num = json['num'] is String
				? int.tryParse(json['num'])
				: json['num'].toInt();
	}
	if (json['onlineNum'] != null) {
		data.onlineNum = json['onlineNum'] is String
				? int.tryParse(json['onlineNum'])
				: json['onlineNum'].toInt();
	}
	if (json['applyNum'] != null) {
		data.applyNum = json['applyNum'] is String
				? int.tryParse(json['applyNum'])
				: json['applyNum'].toInt();
	}
	if (json['careUserNum'] != null) {
		data.careUserNum = json['careUserNum'] is String
				? int.tryParse(json['careUserNum'])
				: json['careUserNum'].toInt();
	}
	if (json['userNum'] != null) {
		data.userNum = json['userNum'] is String
				? int.tryParse(json['userNum'])
				: json['userNum'].toInt();
	}
	if (json['userList'] != null) {
		data.userList = (json['userList'] as List).map((v) => ModelLiveCareUserListRows().fromJson(v)).toList();
	}
	if (json['users'] != null) {
		data.users = (json['users'] as List).map((v) => ModelLiveCareUserListRows().fromJson(v)).toList();
	}
	return data;
}

Map<String, dynamic> modelLiveCareUserListEntityToJson(ModelLiveCareUserListEntity entity) {
	final Map<String, dynamic> data = new Map<String, dynamic>();
	data['size'] = entity.size;
	data['num'] = entity.num;
	data['onlineNum'] = entity.onlineNum;
	data['applyNum'] = entity.applyNum;
	data['careUserNum'] = entity.careUserNum;
	data['userNum'] = entity.userNum;
	data['userList'] =  entity.userList?.map((v) => v.toJson()).toList();
	data['users'] =  entity.users?.map((v) => v.toJson()).toList();
	return data;
}

modelLiveCareUserListRowsFromJson(ModelLiveCareUserListRows data, Map<String, dynamic> json) {
	if (json['userId'] != null) {
		data.userId = json['userId'] is String
				? int.tryParse(json['userId'])
				: json['userId'].toInt();
	}
	if (json['nickname'] != null) {
		data.nickname = json['nickname'].toString();
	}
	if (json['headImage'] != null) {
		data.headImage = json['headImage'].toString();
	}
	if (json['online'] != null) {
		data.online = json['online'] is String
				? int.tryParse(json['online'])
				: json['online'].toInt();
	}
	if (json['gender'] != null) {
		data.gender = json['gender'] is String
				? int.tryParse(json['gender'])
				: json['gender'].toInt();
	}
	if (json['isAnchor'] != null) {
		data.isAnchor = json['isAnchor'] is String
				? int.tryParse(json['isAnchor'])
				: json['isAnchor'].toInt();
	}
	if (json['roomPlaceId'] != null) {
		data.roomPlaceId = json['roomPlaceId'] is String
				? int.tryParse(json['roomPlaceId'])
				: json['roomPlaceId'].toInt();
	}
	return data;
}

Map<String, dynamic> modelLiveCareUserListRowsToJson(ModelLiveCareUserListRows entity) {
	final Map<String, dynamic> data = new Map<String, dynamic>();
	data['userId'] = entity.userId;
	data['nickname'] = entity.nickname;
	data['headImage'] = entity.headImage;
	data['online'] = entity.online;
	data['gender'] = entity.gender;
	data['isAnchor'] = entity.isAnchor;
	data['roomPlaceId'] = entity.roomPlaceId;
	return data;
}