import 'package:mmoo_live_room/Model/model_live_gift_list_entity.dart';
import 'package:mmoo_live_room/Model/model_live_send_gift_entity.dart';

modelLiveGiftListEntityFromJson(ModelLiveGiftListEntity data, Map<String, dynamic> json) {
	if (json['gifts'] != null) {
		data.gifts = (json['gifts'] as List).map((v) => ModelLiveGiftListGifts().fromJson(v)).toList();
	}
	return data;
}

Map<String, dynamic> modelLiveGiftListEntityToJson(ModelLiveGiftListEntity entity) {
	final Map<String, dynamic> data = new Map<String, dynamic>();
	data['gifts'] =  entity.gifts?.map((v) => v.toJson())?.toList();
	return data;
}

modelLiveGiftListGiftsFromJson(ModelLiveGiftListGifts data, Map<String, dynamic> json) {
	if (json['gifUrl'] != null) {
		data.gifUrl = json['gifUrl'].toString();
	}
	if (json['id'] != null) {
		data.id = json['id'] is String
				? int.tryParse(json['id'])
				: json['id'].toInt();
	}
	if (json['name'] != null) {
		data.name = json['name'].toString();
	}
	if (json['preUrl'] != null) {
		data.preUrl = json['preUrl'].toString();
	}
	if (json['price'] != null) {
		data.price = json['price'].toString();
	}
	if (json['giveGiftUserInfoList'] != null) {
		data.giveGiftUserInfoList = (json['giveGiftUserInfoList'] as List).map((v) => ModelLiveSendGiftGiveGiftUserInfoList().fromJson(v)).toList();
	}
	if (json['num'] != null) {
		data.num = json['num'].toString();
	}
	return data;
}

Map<String, dynamic> modelLiveGiftListGiftsToJson(ModelLiveGiftListGifts entity) {
	final Map<String, dynamic> data = new Map<String, dynamic>();
	data['gifUrl'] = entity.gifUrl;
	data['id'] = entity.id;
	data['name'] = entity.name;
	data['preUrl'] = entity.preUrl;
	data['price'] = entity.price;
	data['giveGiftUserInfoList'] =  entity.giveGiftUserInfoList?.map((v) => v.toJson())?.toList();
	data['num'] = entity.num;
	return data;
}