import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:mmoo_live_room/mmoo_live_room.dart';

void main() {
  const MethodChannel channel = MethodChannel('mmoo_live_room');

  TestWidgetsFlutterBinding.ensureInitialized();

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '42';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('getPlatformVersion', () async {
    expect(await MmooLiveRoom.platformVersion, '42');
  });
}
